---
{% raw %}
gandi_subdomain: "{{ workspace }}"
system_base_domain: "{{ gandi_subdomain }}.{{ gandi_domain }}"

common_certificate_file: "{{ ssl_certs_dir }}/{{ system_base_domain }}.fullchain.crt"
common_certificate_key_file: "{{ ssl_certs_dir }}/{{ system_base_domain }}.key"

dns_enable: yes
mailserver_enable: yes

k3s_public_domain: "{{ system_base_domain }}"

rancher_public_domain: "rancher.{{ k3s_public_domain }}"

acme_domains:
  - cn: "{{ system_base_domain }}"
    zone: "{{ system_base_domain }}"
    alt:
      - "DNS:mail.{{ system_base_domain }}"

hs_dns_key:
  name: "{{ system_base_domain }}."
  algorithm: hmac-sha256

bind_tsig_keys:
  - "{{ hs_dns_key }}"

bind_zone_domains:
  - name: "{{ system_base_domain }}"
    type: master
    hostmaster_email: "hostmaster.{{ system_base_domain }}"
    allow_update:
      - "localhost"
    name_servers:
      - ns
    mail_servers:
      - name: mail
        preference: 10
    text:
      - name: "{{ system_base_domain }}."
        text: "v=spf1 mx -all"
    hosts:
      - name: ""
        ip: "{{ ansible_default_ipv4.address }}"
        ipv6: "{{ ansible_default_ipv6.address }}"
        ttl: 300
        
      - name: "{{ gandi_subdomain }}"
        ip: "{{ public_ipv4 }}"
        ipv6: "{{ public_ipv6 }}"
        ttl: 300
        aliases:
          - chat
          - meet
          - stun
          
      - name: "rancher"
        ip: "{{ public_ipv4 }}"
        ipv6: "{{ public_ipv6 }}"
        ttl: 300

      - name: ns
        ip: "{{ public_ipv4 }}"
        ipv6: "{{ public_ipv6 }}"
        ttl: 300

      - name: mail
        ip: "{{ public_ipv4 }}"
        ipv6: "{{ public_ipv6 }}"
        ttl: 300

postfix_smtpd_tls_cert_file: "{{ common_certificate_file }}"
postfix_smtpd_tls_key_file: "{{ common_certificate_key_file }}"

postfix_myhostname: "{{ system_base_domain }}"
postfix_virtual_mailbox_domains:
  - "{{ system_base_domain }}"

postfix_virtual_aliases:
  - alias: "root"
    email: "hostmaster@{{ system_base_domain }}"

postfix_virtual_mailboxes:
  - email: "hostmaster@{{ system_base_domain }}"
    recipient: "hostmaster@{{ system_base_domain }}/"
    system_user: autobot
{% endraw %}
